import { w as wellKnownSymbol, g as getBuiltIn } from './export-ecf4b1cb.js';
import { o as objectDefineProperty, d as descriptors } from './normalize-component-63e8c7a0.js';

var SPECIES = wellKnownSymbol('species');

var setSpecies = function (CONSTRUCTOR_NAME) {
  var Constructor = getBuiltIn(CONSTRUCTOR_NAME);
  var defineProperty = objectDefineProperty.f;

  if (descriptors && Constructor && !Constructor[SPECIES]) {
    defineProperty(Constructor, SPECIES, {
      configurable: true,
      get: function () { return this; }
    });
  }
};

export { setSpecies as s };
